Delete Products

To delete *Product* objects, you must include a filter. This prevents inadvertently deleting all *Product* objects in a store. > #### Note > The maximum number of products you can delete at one time is 250. **Example**: To delete products with IDs 1,2 and 3, use `DELETE /v3/catalog/products?id:in=1,2,3`.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

namestringOptional
Filter items by name.
skustringOptional

Filter items by main SKU. To filter by variant SKU, see Get all variants.

pricedoubleOptional
Filter items by price.
weightdoubleOptional
Filter items by weight.
conditionenumOptional
Filter items by condition.
Allowed values:
brand_idintegerOptional
Filter items by brand ID.
date_modifieddateOptional

Filter items by date_modified.

date_last_importeddateOptional

Filter items by date_last_imported.

is_visiblebooleanOptional
Filter items based on whether the product is currently visible on the storefront.
id:inlist of integersOptional

Pass a comma-separated list to filter by one or more product IDs.

inventory_levelintegerOptional

Filter items by inventory_level.

total_soldintegerOptional

Filter items by total_sold.

typeenumOptional
Filter items by type.
Allowed values:
categoriesintegerOptional

Filter items by categories. If a product is in more than one category, using this query will not return the product. Instead use categories:in=12.

keywordstringOptional

Filter items by keywords found in the name, description, or sku fields, or in the brand name.